> For the complete documentation index, see [llms.txt](https://docs.orda.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.orda.network/developers/quickstart.md).

# Quickstart

Begin receiving quotes after 3 easy steps:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-cover data-type="image">Cover image</th></tr></thead><tbody><tr><td>Create Account</td><td><a href="/files/fNJIfdmvVMcMj9fbOyaa">/files/fNJIfdmvVMcMj9fbOyaa</a></td></tr><tr><td>Create Project</td><td><a href="/files/qbSIT1Q2WgamzQgU6G0D">/files/qbSIT1Q2WgamzQgU6G0D</a></td></tr><tr><td>Save Project Keys</td><td><a href="/files/Jv7gpN5lRK1cuFhtECgB">/files/Jv7gpN5lRK1cuFhtECgB</a></td></tr></tbody></table>

#### Jump In With SDKs

{% tabs %}
{% tab title="Typescript" %}

```
import { OrdaSDK } from '@ordanetwork/sdk';

const orda = new OrdaSDK({
  clientId: 'your-client-id',
  clientSecret: 'your-client-secret',
  // Never expose your clientSecret in frontend code
});

// Create a recipient with a smart wallet
const recipient = await orda.recipients.create({
  name: 'Test Recipient',
  cryptoSettlementDetails: {
    toChain: '8453',
    toToken: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913',
    // omit toAddress → auto-generates smart wallet
  }
});
console.log('Smart wallet:', recipient.smartWallet?.address);

// Request a quote
const quote = await orda.quote.request({
  fromChain: '1', // Ethereum mainnet
  fromToken: '0xA0b8...eB48', // USDC
  fromAddress: '0xYourAddress',
  intent: { method: 'usd', value: '100' },
  recipientId: recipient.recipientId,
});
```

{% endtab %}
{% endtabs %}

#### Prerequisites <a href="#prerequisites" id="prerequisites"></a>

Before integrating with orda, ensure you're familiar with the following key concepts and workflows:

* An orda developer account ([Here](https://app.orda.network/))
* Project **clientID & secret** [(Learn more about auth here)](/developers/authentication.md)
* How to request & execute a quote
* Monitoring a quote/transaction

After registering, you'll need to generate a project key to start interacting with the orda network.

{% hint style="info" %}
If you want the embedded React component, jump to[Widget](/developers/widget.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orda.network/developers/quickstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
